<template>
  <div class="my-app" >
    <el-table
        :data="tableData"
        style="width: 100%"
        :border="true"
    >
      <el-table-column
          type="index"
      >
      </el-table-column>
      <el-table-column
          prop="date"
          label="Date"
          width="180">
      </el-table-column>
      <el-table-column
          prop="name"
          label="Name"
          width="180"
      >
        <template slot-scope="props">
          <el-input v-model="props.row['name']" />
        </template>
      </el-table-column>
      <el-table-column
          prop="address"
          label="Address">
      </el-table-column>
    </el-table>
    <pre>{{ tableData }}</pre>
  </div>
</template>

<script>
import {
  Table,
  TableColumn,
  Input
} from "element-ui";
export default {
  components: {
    ElTable: Table,
    ElTableColumn: TableColumn,
    ElInput: Input
  },
  data() {
    return {
      tableData: [{
        date: '2016-05-03',
        name: 'Tom',
        state: 'California',
        city: 'Los Angeles',
        address: 'No. 189, Grove St, Los Angeles',
        zip: 'CA 90036',
        tag: 'Home'
      }, {
        date: '2016-05-02',
        name: 'Tom',
        state: 'California',
        city: 'Los Angeles',
        address: 'No. 189, Grove St, Los Angeles',
        zip: 'CA 90036',
        tag: 'Office'
      }, {
        date: '2016-05-04',
        name: 'Tom',
        state: 'California',
        city: 'Los Angeles',
        address: 'No. 189, Grove St, Los Angeles',
        zip: 'CA 90036',
        tag: 'Home'
      }, {
        date: '2016-05-01',
        name: 'Tom',
        state: 'California',
        city: 'Los Angeles',
        address: 'No. 189, Grove St, Los Angeles',
        zip: 'CA 90036',
        tag: 'Office'
      }],
    }
  },
};
</script>
